%global git_date    20130330
%global git_version 0a5aa2 

Name:           gnome-pie
Version:        0.5.5
Release:        1.%{git_date}git%{git_version}%{?dist}
Summary:        A visual application launcher for Gnome

License:        GPLv3+
URL:            http://%{name}.simonschneegans.de/

# git clone https://github.com/Simmesimme/Gnome-Pie.git gnome-pie 
# cd gnome-pie
# git archive --format=tar HEAD | xz  > {name}-{version}.{git_date}git{git_version}.tar.xz
Source0:        %{name}-%{version}.%{git_date}git%{git_version}.tar.xz        
Patch0:         CMakeLists.patch

BuildRequires:  vala-devel
BuildRequires:  bamf3-devel 
BuildRequires:  pkgconfig(gee-1.0)
BuildRequires:  libxml2-devel
BuildRequires:  gtk3-devel
BuildRequires:  cmake
BuildRequires:  unique3-devel
BuildRequires:  libgee-devel
BuildRequires:  libXtst-devel
BuildRequires:  gnome-menus-devel
BuildRequires:  desktop-file-utils      

Requires(post):  info
Requires(preun): info

%description
Gnome-Pie is a circular application launcher for Linux. It is made of
several pies, each consisting of multiple slices. The user presses a 
key stroke which opens the desired pie. By activating one of its slices,
applications may be launched, key presses may be simulated or files can 
be opened.

%prep
%setup -q -cn %{name}-%{version}
%patch0 -p0

%build
cmake -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_LDFLAGS=-lgthread
make CFLAGS='%{optflags}' %{?_smp_mflags}

%install
%make_install
mkdir -p $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}-%{version}
mv $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/README.md \
    $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}-%{version}/
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop
%find_lang gnomepie

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f gnomepie.lang
%doc AUTHORS COPYING TRANSLATING README.md
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/scalable/apps/*.svg
%{_mandir}/man1/%{name}.1.*

%changelog
* Sat Apr 06 2013 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> 0.5.5-1.20130330git0a5aa2
- New version release, which have major fixes 

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-3.20120826git1b93e1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Sep 06 2012 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> 0.5.3-2.20120826git1b93e1
- Added Debug info package 

* Sun Aug 26 2012 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> 0.5.3-1.20120826git1b93e1
- Added latest version of gnome-pie

* Sat Oct 22 2011 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> 0.2-1
- Initial version of the package
